#
# spec file for package python3-mistune
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-mistune
Version:        0.7
Release:        7.1
Summary:        The fastest markdown parser in pure Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/lepture/mistune
Source0:        https://pypi.python.org/packages/source/m/mistune/mistune-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The fastest markdown parser in pure Python, inspired by marked.

%prep
%setup -q -n mistune-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%doc LICENSE README.rst

%changelog
* Sat Jul 18 2015 arun@gmx.de
- update to version 0.7:
  * Fix the breaking change in version 0.6 with options:
    parse_inline_html and parse_block_html
  * Breaking change: remove parse_html option for explicit
  * Change option escape default value to True for security reason
* Thu Jun 18 2015 arun@gmx.de
- update to version 0.6:
  * Breaking change on inline HTML, text in inline HTML will not be
    parsed per #38.
  * Replace tag renderer with inline_html for breaking change on
    inline HTML
  * Double emphasis, emphasis, code, and strikethrough can contain one
    linebreak per #48.
  * Match autolinks that do not have / in their URI via #53.
  * A work around on link that contains ) per #46.
  * Add <font> tag for inline tags per #55.
* Tue Apr  7 2015 zaitor@opensuse.org
- Correct License: BSD-3-Clause is used.
* Wed Mar 11 2015 arun@gmx.de
- update to version 0.5.1:
  * Fix a bug when list item is blank via ipython#7929.
  * Use python-wheels to build wheels for Mac.
* Sat Feb 28 2015 arun@gmx.de
- initial version
